## org.apache.xerces.impl.xs.models
Class XSCMLeaf

    java.lang.Object
      org.apache.xerces.impl.dtd.models.CMNode
          org.apache.xerces.impl.xs.models.XSCMLeaf

    public class XSCMLeaf

extends CMNode

Content model leaf node.

Version:
  $$
Author:
  Neil Graham, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Constructor Summary
`XSCMLeaf(int type, java.lang.Object leaf, int id, int position)` Constructs a content model leaf.

Method Summary
`protected void` `calcFirstPos(CMStateSet toSet)`
`protected void` `calcLastPos(CMStateSet toSet)`
`boolean` `isNullable()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.xerces.impl.dtd.models.CMNode
`firstPos, lastPos, setMaxStates, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSCMLeaf

    public XSCMLeaf(int type,
                    java.lang.Object leaf,
                    int id,
                    int position)

  Constructs a content model leaf.

Method Detail

### isNullable

    public boolean isNullable()

  Specified by:
    `isNullable` in class `CMNode`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### calcFirstPos

    protected void calcFirstPos(CMStateSet toSet)

  Specified by:
    `calcFirstPos` in class `CMNode`

### calcLastPos

    protected void calcLastPos(CMStateSet toSet)

  Specified by:
    `calcLastPos` in class `CMNode`

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.